VOIP / Asterisk / Virtual Server Specialist With Knowlede of Goautodial and Able to Sort DAHDI Problems

VOIP / Asterisk / Virtual Server Specialist With Knowlede of Goautodial and Able to Sort DAHDI Problems

Cancelled

Job Description

Hi,

We have got a virtual dedicated server, which we want to use to run Goautodial.

The person we hired to configure it, has got an issue with DAHDI that he can't resolve. We need to hire someone who can fix the problem for us. Do you know how to fix this issue?

We would like to find someone who can fix the problem quickly, our whole telemarketing team can't work until it is resolved.

Have you got the expertise to resolve it?

If you have, please bid on this project.

Below is what I have been told.

Our server specialist has checked the server and this is the output :-

Package dahdi-linux-2.6.1-1_centos5.x86_64 already installed and latest version
Package dahdi-tools-2.5.0.1-1_centos5.x86_64 already installed and latest version
Package libpri-1.4.11.5-1_centos5.x86_64 already installed and latest version

He believes these packages are installed.

The guy we hired to configure goautodial is stuck because of the following problem: This is what he says:
-------------start -----------
[22/04/2013 09:23:15] kaz: We have installed GoAutodial / vicidial on our server, when we make outbound / inbound calls from the softphone, it works fine. However, when we login from Agent page, we get an error message as follows:
( app_meetme.c:829 build_conf: Unable to open DAHDI pseudo device
- <SIP/8001-000004a8> Playing 'conf-invalid' (language 'en') "
on Asterisk CLI.

Which means that our server does not have Dahdi support.

And when I try to compile the Dahdi , I got this error message
[root@dialer dahdi-2.6.1-1.go]# make
make -C drivers/dahdi/firmware firmware-loaders
make[1]: Entering directory `/usr/src/dahdi-2.6.1-1.go/drivers/dahdi/firmware'
make[1]: Leaving directory `/usr/src/dahdi-2.6.1-1.go/drivers/dahdi/firmware'
You do not appear to have the sources for the 3.8.4-linode50 kernel installed.
make: *** [modules] Error 1

The DAHDI device driver emulates the hardware necessary to provide Asterisk with a timing source. The Asterisk meetme application requires this timing for audio mixing and because you do not have hardware.
[22/04/2013 09:23:21] kaz: -----------END ---------------

He says: we need to custom the kernel to make it functional,.see the output.

[2013-04-23 18:06:11] -- Executing [8600051@default:1] MeetMe("SIP/8001-0000 04db", "8600051|F") in new stack
[2013-04-23 18:06:11] == Parsing '/etc/asterisk/meetme.conf': [2013-04-23 18:0 6:11] Found
[2013-04-23 18:06:11] == Parsing '/etc/asterisk/meetme-vicidial.conf': [2013-0 4-23 18:06:11] Found
[2013-04-23 18:06:11] WARNING[26172]: app_meetme.c:829 build_conf: Unable to ope n DAHDI pseudo device
[2013-04-23 18:06:11] -- <SIP/8001-000004db> Playing 'conf-invalid' (languag e 'en')
[2013-04-23 18:06:13] == Manager 'sendcron' logged off from 127.0.0.1
[2013-04-23 18:06:15] == Spawn extension (default, 8600051, 1) exited non-zero on 'SIP/8001-000004db'
[2013-04-23 18:06:15] -- Executing [h@default:1] DeadAGI("SIP/8001-000004db" , "agi://127.0.0.1:4577/call_log--HVcauses--PRI-----NODEBUG-----16-------------- -") in new stack